GET api/Course/Chapter/LessonPlan?chapterId={chapterId}

获取视频课时教案资源(说明:App和小程序通用)

Request Information

URI Parameters

NameDescriptionTypeAdditional information
chapterId

章节ID

integer

Required

Body Parameters

None.

Response Information

Resource Description

返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确)... 。404:教案资源信息不存在... 。200:请求成功... 。

LessonPlanResult
NameDescriptionTypeAdditional information
lessonPlanInfo

章节信息

LessonPlan

None.

havehandout

是否有讲义(have/nohave)

string

None.

chapterHandoutInfo

讲义信息

ChapterHandout

None.

status

公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。

integer

None.

msg

消息

string

None.

Response Formats

application/json, text/json

Sample:
{
  "lessonPlanInfo": {
    "LessonPlan_ID": 1,
    "LessonPlan_CourseHourChapterID": 1,
    "LessonPlan_Type": 1,
    "LessonPlan_VideoFileID": "sample string 2",
    "LessonPlan_FileUrl": "sample string 3",
    "LessonPlan_Duration": "sample string 4",
    "LessonPlan_CoverUrl": "sample string 5",
    "LessonPlan_States": 1,
    "LessonPlan_UpdateDate": "2026-07-02T06:10:24.1828588+08:00",
    "LessonPlan_CreateDate": "2026-07-02T06:10:24.1828588+08:00"
  },
  "havehandout": "sample string 1",
  "chapterHandoutInfo": {
    "ChapterHandout_ID": 1,
    "ChapterHandout_HourChapterID": 1,
    "ChapterHandout_Content": "sample string 2",
    "ChapterHandout_States": 1,
    "ChapterHandout_UpdateDate": "2026-07-02T06:10:24.1828588+08:00",
    "ChapterHandout_CreateDate": "2026-07-02T06:10:24.1828588+08:00",
    "ChapterHandout_Url": "sample string 3",
    "ChapterHandout_Type": "sample string 4"
  },
  "status": 2,
  "msg": "sample string 3"
}